import React from "react";
import { CategoryPropType, DomainPropType, EventPropTypeInterface, StringOrNumberOrCallback, VictoryCommonProps, VictoryMultiLabelableProps, VictoryStyleInterface, VictoryComponentConfiguration } from "victory-core";
export type VictoryStackTTargetType = "data" | "labels" | "parent";
export interface VictoryStackProps extends VictoryCommonProps, VictoryMultiLabelableProps {
    bins?: number | number[] | Date[];
    categories?: CategoryPropType;
    children?: React.ReactNode | React.ReactNode[];
    domain?: DomainPropType;
    events?: EventPropTypeInterface<VictoryStackTTargetType, StringOrNumberOrCallback>[];
    eventKey?: StringOrNumberOrCallback;
    fillInMissingData?: boolean;
    style?: VictoryStyleInterface;
    xOffset?: number;
}
export declare const VictoryStack: React.NamedExoticComponent<VictoryStackProps> & {
    readonly type: (initialProps: VictoryStackProps) => JSX.Element;
} & VictoryComponentConfiguration<VictoryStackProps>;
//# sourceMappingURL=victory-stack.d.ts.map